Gecode::Int::LDSB::Literal Class Reference

A Literal is a pair of variable index and value. More...

`#include <ldsb.hh>`

## Public Member Functions

| Literal (void)
| Constructor for an empty literal.
| Literal (int _var, int _val)
| Constructor.
bool | operator< (const Literal &rhs) const
| Less than. The ordering is the lexicographical order on the (variable,value) pair.

## Public Attributes

int | _variable
| Variable index. The ViewArray that the index is meant for is assumed to be known by context.
int | _value
| The value of the literal. For int and bool variables, this is the value itself; for set variables, this is one of the possible elements of the set.

## Detailed Description

A Literal is a pair of variable index and value.

Definition at line 46 of file ldsb.hh.

## Constructor & Destructor Documentation

## Literal() [1/2]

Gecode::Int::LDSB::Literal::Literal | ( | void |  | ) |

inline

Constructor for an empty literal.

Definition at line 40 of file brancher.hpp.

## Literal() [2/2]

Gecode::Int::LDSB::Literal::Literal | ( | int | _var,
|  | int | _val )

inline

Constructor.

Definition at line 44 of file brancher.hpp.

## Member Function Documentation

## operator<()

bool Gecode::Int::LDSB::Literal::operator< | ( | const Literal & | rhs | ) | const

inline

Less than. The ordering is the lexicographical order on the (variable,value) pair.

Definition at line 48 of file brancher.hpp.

## Member Data Documentation

## _variable

int Gecode::Int::LDSB::Literal::_variable

Variable index. The ViewArray that the index is meant for is assumed to be known by context.

Definition at line 55 of file ldsb.hh.

## _value

int Gecode::Int::LDSB::Literal::_value

The value of the literal. For int and bool variables, this is the value itself; for set variables, this is one of the possible elements of the set.

Definition at line 59 of file ldsb.hh.

The documentation for this class was generated from the following files:

- gecode/int/ldsb.hh
- gecode/int/ldsb/brancher.hpp